org.apache.cassandra.db

## Class BufferCounterCell

- java.lang.Object
- - org.apache.cassandra.db.AbstractCell
  - - org.apache.cassandra.db.BufferCell
    - - org.apache.cassandra.db.BufferCounterCell

All Implemented Interfaces:
  Cell, CounterCell, OnDiskAtom

    public class BufferCounterCell
    extends BufferCell
    implements CounterCell

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

`OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.BufferCell

`name, timestamp, value`

### Fields inherited from interface org.apache.cassandra.db.CounterCell

`contextManager`

### Fields inherited from interface org.apache.cassandra.db.Cell

`MAX_NAME_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`BufferCounterCell(CellName name, java.nio.ByteBuffer value, long timestamp)`
`BufferCounterCell(CellName name, java.nio.ByteBuffer value, long timestamp, long timestampOfLastDelete)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `cellDataSize()`
`static CounterCell` `create(CellName name, java.nio.ByteBuffer value, long timestamp, long timestampOfLastDelete, ColumnSerializer.Flag flag)`
`static CounterCell` `createLocal(CellName name, long value, long timestamp, long timestampOfLastDelete)`
`Cell` `diff(Cell cell)`
`boolean` `equals(Cell cell)`
`java.lang.String` `getString(CellNameType comparator)`
`boolean` `hasLegacyShards()`
`CounterCell` `localCopy(CFMetaData metadata, AbstractAllocator allocator)`
`CounterCell` `localCopy(CFMetaData metadata, MemtableAllocator allocator, OpOrder.Group opGroup)`
`Cell` `markLocalToBeCleared()`
`Cell` `reconcile(Cell cell)`
`int` `serializationFlags()`
`int` `serializedSize(CellNameType type, TypeSizes typeSizes)`
`long` `timestampOfLastDelete()`
`long` `total()`
`void` `updateDigest(java.security.MessageDigest digest)`
`void` `validateFields(CFMetaData metadata)`
`Cell` `withUpdatedName(CellName newName)`

### Methods inherited from class org.apache.cassandra.db.BufferCell

`name, timestamp, unsharedHeapSizeExcludingData, value, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime`

### Methods inherited from class org.apache.cassandra.db.AbstractCell

`create, diffCounter, equals, getLocalDeletionTime, hashCode, isLive, isLive, onDiskIterator, reconcileCounter, validateName`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.Cell

`isLive, isLive, name, unsharedHeapSizeExcludingData, value, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime`

### Methods inherited from interface org.apache.cassandra.db.OnDiskAtom

`getLocalDeletionTime, timestamp`

### Constructor Detail

#### BufferCounterCell

    public BufferCounterCell(CellName name,
                             java.nio.ByteBuffer value,
                             long timestamp)

#### BufferCounterCell

    public BufferCounterCell(CellName name,
                             java.nio.ByteBuffer value,
                             long timestamp,
                             long timestampOfLastDelete)

### Method Detail

#### create

    public static CounterCell create(CellName name,
                                     java.nio.ByteBuffer value,
                                     long timestamp,
                                     long timestampOfLastDelete,
                                     ColumnSerializer.Flag flag)

#### createLocal

    public static CounterCell createLocal(CellName name,
                                          long value,
                                          long timestamp,
                                          long timestampOfLastDelete)

#### withUpdatedName

    public Cell withUpdatedName(CellName newName)

Specified by:
  `withUpdatedName` in interface `Cell`
Overrides:
  `withUpdatedName` in class `BufferCell`

#### timestampOfLastDelete

    public long timestampOfLastDelete()

Specified by:
  `timestampOfLastDelete` in interface `CounterCell`

#### total

    public long total()

Specified by:
  `total` in interface `CounterCell`

#### cellDataSize

    public int cellDataSize()

Specified by:
  `cellDataSize` in interface `Cell`
Overrides:
  `cellDataSize` in class `AbstractCell`

#### serializedSize

    public int serializedSize(CellNameType type,
                              TypeSizes typeSizes)

Specified by:
  `serializedSize` in interface `Cell`
Overrides:
  `serializedSize` in class `AbstractCell`

#### diff

    public Cell diff(Cell cell)

Specified by:
  `diff` in interface `Cell`
Overrides:
  `diff` in class `AbstractCell`

#### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

Specified by:
  `updateDigest` in interface `OnDiskAtom`
Overrides:
  `updateDigest` in class `AbstractCell`

#### reconcile

    public Cell reconcile(Cell cell)

Specified by:
  `reconcile` in interface `Cell`
Overrides:
  `reconcile` in class `AbstractCell`

#### hasLegacyShards

    public boolean hasLegacyShards()

Specified by:
  `hasLegacyShards` in interface `CounterCell`

#### localCopy

    public CounterCell localCopy(CFMetaData metadata,
                                 AbstractAllocator allocator)

Specified by:
  `localCopy` in interface `Cell`
Specified by:
  `localCopy` in interface `CounterCell`
Overrides:
  `localCopy` in class `BufferCell`

#### localCopy

    public CounterCell localCopy(CFMetaData metadata,
                                 MemtableAllocator allocator,
                                 OpOrder.Group opGroup)

Specified by:
  `localCopy` in interface `Cell`
Specified by:
  `localCopy` in interface `CounterCell`
Overrides:
  `localCopy` in class `BufferCell`

#### getString

    public java.lang.String getString(CellNameType comparator)

Specified by:
  `getString` in interface `Cell`
Overrides:
  `getString` in class `AbstractCell`

#### serializationFlags

    public int serializationFlags()

Specified by:
  `serializationFlags` in interface `Cell`
Overrides:
  `serializationFlags` in class `AbstractCell`

#### validateFields

    public void validateFields(CFMetaData metadata)
                        throws MarshalException

Specified by:
  `validateFields` in interface `OnDiskAtom`
Overrides:
  `validateFields` in class `AbstractCell`
Throws:
  `MarshalException`

#### markLocalToBeCleared

    public Cell markLocalToBeCleared()

Specified by:
  `markLocalToBeCleared` in interface `CounterCell`

#### equals

    public boolean equals(Cell cell)

Overrides:
  `equals` in class `AbstractCell`